import { PermissionObject } from "../../type/permissionTypes";
import { RoleViewModel } from "./role.models";

export interface UserViewModel {
  id: number;
  username: string;
  mail: string;
  firstname: string;
  lastname: string;
  permissions: PermissionObject;
  roles: Array<RoleViewModel>;
  permissions_total: PermissionObject;
}

export interface CreateOrUpdateUserViewModel {
  username: string;
  mail: string;
  firstname: string;
  lastname: string;
}
